package com.philisense.rdgo.bean.response;

import java.io.Serializable;
import java.util.List;

/**
 * Created by shaop on 2017/12/13.
 */

public class ProductBean implements Serializable {


    /**
     * success : 0
     * message : 查询成功!
     * count : 16
     * list : [{"_id":"5a781b940a70a448f2fd019b","__v":0,"deleted":0,"updateTime":"2018-02-28T11:24:28.337Z","lastUpdatedBy":{"line":"","warehouse":"","factory":"","IDCard":"12345678","sex":"男","person":"系统管理员","account":"admin"},"createTime":"2018-02-05T08:53:40.357Z","createdBy":{"line":"一号生产线","warehouse":"凯欣粮油重庆食用油厂一级仓库,ck01","factory":"凯欣粮油铜罐驿油厂","IDCard":"340621111109299011","sex":"男","person":"张三","account":"zhangs"},"warehouse10":0,"warehouse9":0,"warehouse8":0,"warehouse7":0,"warehouse6":0,"warehouse5":0,"warehouse4":0,"warehouse3":0,"warehouse2":0,"warehouse1":0,"isCheck":0,"lock":0,"score":0,"address":"","foodLicense":"SC10250010705464","productStandard":"SB/T 10292","sourcesCountry":"中国","ingredients":"一级菜籽油、压榨一级花生油、食品添加剂（TBHQ）","gross":null,"net":18.4,"name":"红蜻蜓花生调和油5L","url":"","bottleNum":4,"keepDate":"18个月","technology":"其他","sources":"","capacity":"5L","level":"其他","gene":2,"brand":"红蜻蜓","typeName":"花生调和油","typeCode":"6902681653053"}]
     */

    private int success;
    private String message;
    private int count;
    private List<ListBean> list;

    public int getSuccess() {
        return success;
    }

    public void setSuccess(int success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean implements Serializable {
        /**
         * _id : 5a781b940a70a448f2fd019b
         * __v : 0
         * deleted : 0
         * updateTime : 2018-02-28T11:24:28.337Z
         * lastUpdatedBy : {"line":"","warehouse":"","factory":"","IDCard":"12345678","sex":"男","person":"系统管理员","account":"admin"}
         * createTime : 2018-02-05T08:53:40.357Z
         * createdBy : {"line":"一号生产线","warehouse":"凯欣粮油重庆食用油厂一级仓库,ck01","factory":"凯欣粮油铜罐驿油厂","IDCard":"340621111109299011","sex":"男","person":"张三","account":"zhangs"}
         * warehouse10 : 0
         * warehouse9 : 0
         * warehouse8 : 0
         * warehouse7 : 0
         * warehouse6 : 0
         * warehouse5 : 0
         * warehouse4 : 0
         * warehouse3 : 0
         * warehouse2 : 0
         * warehouse1 : 0
         * isCheck : 0
         * lock : 0
         * score : 0
         * address :
         * foodLicense : SC10250010705464
         * productStandard : SB/T 10292
         * sourcesCountry : 中国
         * ingredients : 一级菜籽油、压榨一级花生油、食品添加剂（TBHQ）
         * gross : null
         * net : 18.4
         * name : 红蜻蜓花生调和油5L
         * url :
         * bottleNum : 4
         * keepDate : 18个月
         * technology : 其他
         * sources :
         * capacity : 5L
         * level : 其他
         * gene : 2
         * brand : 红蜻蜓
         * typeName : 花生调和油
         * typeCode : 6902681653053
         */

        private String _id;
        private int __v;
        private int deleted;
        private String updateTime;
        private LastUpdatedByBean lastUpdatedBy;
        private String createTime;
        private CreatedByBean createdBy;
        private int warehouse10;
        private int warehouse9;
        private int warehouse8;
        private int warehouse7;
        private int warehouse6;
        private int warehouse5;
        private int warehouse4;
        private int warehouse3;
        private int warehouse2;
        private int warehouse1;
        private int isCheck;
        private int lock;
        private int score;
        private String address;
        private String foodLicense;
        private String productStandard;
        private String sourcesCountry;
        private String ingredients;
        private Object gross;
        private double net;
        private String name;
        private String url;
        private int bottleNum;
        private String keepDate;
        private String technology;
        private String sources;
        private String capacity;
        private String level;
        private int gene;
        private String brand;
        private String typeName;
        private String typeCode;

        public String get_id() {
            return _id;
        }

        public void set_id(String _id) {
            this._id = _id;
        }

        public int get__v() {
            return __v;
        }

        public void set__v(int __v) {
            this.__v = __v;
        }

        public int getDeleted() {
            return deleted;
        }

        public void setDeleted(int deleted) {
            this.deleted = deleted;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public LastUpdatedByBean getLastUpdatedBy() {
            return lastUpdatedBy;
        }

        public void setLastUpdatedBy(LastUpdatedByBean lastUpdatedBy) {
            this.lastUpdatedBy = lastUpdatedBy;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public CreatedByBean getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(CreatedByBean createdBy) {
            this.createdBy = createdBy;
        }

        public int getWarehouse10() {
            return warehouse10;
        }

        public void setWarehouse10(int warehouse10) {
            this.warehouse10 = warehouse10;
        }

        public int getWarehouse9() {
            return warehouse9;
        }

        public void setWarehouse9(int warehouse9) {
            this.warehouse9 = warehouse9;
        }

        public int getWarehouse8() {
            return warehouse8;
        }

        public void setWarehouse8(int warehouse8) {
            this.warehouse8 = warehouse8;
        }

        public int getWarehouse7() {
            return warehouse7;
        }

        public void setWarehouse7(int warehouse7) {
            this.warehouse7 = warehouse7;
        }

        public int getWarehouse6() {
            return warehouse6;
        }

        public void setWarehouse6(int warehouse6) {
            this.warehouse6 = warehouse6;
        }

        public int getWarehouse5() {
            return warehouse5;
        }

        public void setWarehouse5(int warehouse5) {
            this.warehouse5 = warehouse5;
        }

        public int getWarehouse4() {
            return warehouse4;
        }

        public void setWarehouse4(int warehouse4) {
            this.warehouse4 = warehouse4;
        }

        public int getWarehouse3() {
            return warehouse3;
        }

        public void setWarehouse3(int warehouse3) {
            this.warehouse3 = warehouse3;
        }

        public int getWarehouse2() {
            return warehouse2;
        }

        public void setWarehouse2(int warehouse2) {
            this.warehouse2 = warehouse2;
        }

        public int getWarehouse1() {
            return warehouse1;
        }

        public void setWarehouse1(int warehouse1) {
            this.warehouse1 = warehouse1;
        }

        public int getIsCheck() {
            return isCheck;
        }

        public void setIsCheck(int isCheck) {
            this.isCheck = isCheck;
        }

        public int getLock() {
            return lock;
        }

        public void setLock(int lock) {
            this.lock = lock;
        }

        public int getScore() {
            return score;
        }

        public void setScore(int score) {
            this.score = score;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getFoodLicense() {
            return foodLicense;
        }

        public void setFoodLicense(String foodLicense) {
            this.foodLicense = foodLicense;
        }

        public String getProductStandard() {
            return productStandard;
        }

        public void setProductStandard(String productStandard) {
            this.productStandard = productStandard;
        }

        public String getSourcesCountry() {
            return sourcesCountry;
        }

        public void setSourcesCountry(String sourcesCountry) {
            this.sourcesCountry = sourcesCountry;
        }

        public String getIngredients() {
            return ingredients;
        }

        public void setIngredients(String ingredients) {
            this.ingredients = ingredients;
        }

        public Object getGross() {
            return gross;
        }

        public void setGross(Object gross) {
            this.gross = gross;
        }

        public double getNet() {
            return net;
        }

        public void setNet(double net) {
            this.net = net;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public int getBottleNum() {
            return bottleNum;
        }

        public void setBottleNum(int bottleNum) {
            this.bottleNum = bottleNum;
        }

        public String getKeepDate() {
            return keepDate;
        }

        public void setKeepDate(String keepDate) {
            this.keepDate = keepDate;
        }

        public String getTechnology() {
            return technology;
        }

        public void setTechnology(String technology) {
            this.technology = technology;
        }

        public String getSources() {
            return sources;
        }

        public void setSources(String sources) {
            this.sources = sources;
        }

        public String getCapacity() {
            return capacity;
        }

        public void setCapacity(String capacity) {
            this.capacity = capacity;
        }

        public String getLevel() {
            return level;
        }

        public void setLevel(String level) {
            this.level = level;
        }

        public int getGene() {
            return gene;
        }

        public void setGene(int gene) {
            this.gene = gene;
        }

        public String getBrand() {
            return brand;
        }

        public void setBrand(String brand) {
            this.brand = brand;
        }

        public String getTypeName() {
            return typeName;
        }

        public void setTypeName(String typeName) {
            this.typeName = typeName;
        }

        public String getTypeCode() {
            return typeCode;
        }

        public void setTypeCode(String typeCode) {
            this.typeCode = typeCode;
        }

        public static class LastUpdatedByBean implements Serializable {
            /**
             * line :
             * warehouse :
             * factory :
             * IDCard : 12345678
             * sex : 男
             * person : 系统管理员
             * account : admin
             */

            private String line;
            private String warehouse;
            private String factory;
            private String IDCard;
            private String sex;
            private String person;
            private String account;

            public String getLine() {
                return line;
            }

            public void setLine(String line) {
                this.line = line;
            }

            public String getWarehouse() {
                return warehouse;
            }

            public void setWarehouse(String warehouse) {
                this.warehouse = warehouse;
            }

            public String getFactory() {
                return factory;
            }

            public void setFactory(String factory) {
                this.factory = factory;
            }

            public String getIDCard() {
                return IDCard;
            }

            public void setIDCard(String IDCard) {
                this.IDCard = IDCard;
            }

            public String getSex() {
                return sex;
            }

            public void setSex(String sex) {
                this.sex = sex;
            }

            public String getPerson() {
                return person;
            }

            public void setPerson(String person) {
                this.person = person;
            }

            public String getAccount() {
                return account;
            }

            public void setAccount(String account) {
                this.account = account;
            }
        }

        public static class CreatedByBean implements Serializable {
            /**
             * line : 一号生产线
             * warehouse : 凯欣粮油重庆食用油厂一级仓库,ck01
             * factory : 凯欣粮油铜罐驿油厂
             * IDCard : 340621111109299011
             * sex : 男
             * person : 张三
             * account : zhangs
             */

            private String line;
            private String warehouse;
            private String factory;
            private String IDCard;
            private String sex;
            private String person;
            private String account;

            public String getLine() {
                return line;
            }

            public void setLine(String line) {
                this.line = line;
            }

            public String getWarehouse() {
                return warehouse;
            }

            public void setWarehouse(String warehouse) {
                this.warehouse = warehouse;
            }

            public String getFactory() {
                return factory;
            }

            public void setFactory(String factory) {
                this.factory = factory;
            }

            public String getIDCard() {
                return IDCard;
            }

            public void setIDCard(String IDCard) {
                this.IDCard = IDCard;
            }

            public String getSex() {
                return sex;
            }

            public void setSex(String sex) {
                this.sex = sex;
            }

            public String getPerson() {
                return person;
            }

            public void setPerson(String person) {
                this.person = person;
            }

            public String getAccount() {
                return account;
            }

            public void setAccount(String account) {
                this.account = account;
            }
        }
    }
}
